#ifndef SNDSERVER_H
#define SNDSERVER_H

#ifdef __cplusplus
extern "C" {
#endif 

/* Create the server and open  SDL_Audio */
int OpenSound();

/* add the file to the sound bank and convert it if nedded
 * return the sound identifier for the sound bank */
int AddSoundFile( const char* file);

/* play the sound identified by idsound
 * if loop is set to 1, the sound will be played repeatly */
int PlaySound( int idsound, int loop);

/* close the server and the SDL_Audio */
void CloseSound();


#ifdef __cplusplus
}
#endif 


#endif /* SNDSERVER_H */


